### A free/open-source library for quantitative finance

Public Member Functions
Quote Class Reference

purely virtual base class for market observables More...

`#include <ql/quote.hpp>`

Inheritance diagram for Quote:
[legend]

List of all members.

## Public Member Functions

virtual Real | value () const =0
| returns the current value
virtual bool | isValid () const =0
| returns true if the Quote holds a valid value

## Detailed Description

purely virtual base class for market observables

Tests:
  the observability of class instances is tested.